### Function

# GObject signal_set_va_marshaller

since: 2.32

#### Declaration

    void
    g_signal_set_va_marshaller (
      guint signal_id,
      GType instance_type,
      GSignalCVaMarshaller va_marshaller
    )

#### Description

Change the `GSignalCVaMarshaller` used for a given signal. This is a specialised form of the marshaller that can often be used for the common case of a single connected signal handler and avoids the overhead of `GValue`. Its use is optional.

Available since: 2.32

#### Parameters

`signal_id`

  Type: `guint`

  The signal id.

`instance_type`

  Type: `GType`

  The instance type on which to set the marshaller.

`va_marshaller`

  Type: `GSignalCVaMarshaller`

  The marshaller to set.